wxRuby Documentation Home

# Wx::PasswordEntryDialog

This class represents a dialog that requests a one-line password string from the user.
It is implemented as a generic Widgets dialog.

## Derived from

TextEntryDialog

Dialog

Window

EvtHandler

Object

## See also

PassowrdEntryDialog overview

## Methods

- PasswordEntryDialog.new

### PasswordEntryDialog.new

PasswordEntryDialog.new(%(arg-type)Window% parent, String message, String caption = “Enter password”, String defaultValue = "", Integer style = OK CANCEL CENTRE, Point pos = DEFAULT_POSITION)

Constructor. Use TextEntryDialog#show_modal to show the dialog.

#### Parameters

- parent Parent window.
- message Message to show on the dialog.
- defaultValue The default value, which may be the empty string.
- style A dialog style, specifying the buttons (OK, CANCEL)
  and an optional CENTRE style. You do not need to specify the `TE_PASSWORD` style, it is always applied.
- pos Dialog position.

[This page automatically generated from the Textile source at 2023-06-09 00:45:28 +0000]